top of page

REST API

EV Roam provides a REST API to query the ID Register in full or return a single record by Operator ID (CPO) or Service Provider ID (MSP).

​

Functions and parameters are documented below.

Test the API

API Documentation

GET

​

Function: 'getRegister'

​

curl -X GET https://evroam.org.uk/_functions/getRegister

​

Path Params

Name: operatorId (optional), Type: String, Description: CPO ID e.g. 'GB-BMC'

​

Name: serviceProviderId (optional), Type: String, Description: MSP ID e.g. 'GB-ALZ'

​

Response Object

items (array):[{

title (string),

website (string),

operatorId (string),

serviceProviderId (string),

}]

​

Status/Error Codes

The response will include an HTTP status code.

​

Return the full register (array)

curl -X GET https://evroam.org.uk/_functions/getRegister

​

{
    "items": [{
        "title": "Allstar Business Solutions Ltd",
        "serviceProviderId": "GB-ALZ",
        "website": "https://www.allstarcard.co.uk/"
    }, {
        "title": "Allstar Business Solutions Ltd",
        "serviceProviderId": "GB-ALC",
        "website": "https://www.allstarcard.co.uk/"
    }, {
        "title": "Beam Connectivity Limited",
        "operatorId": "GB-BMC",
        "serviceProviderId": "GB-BMC",
        "website": "https://www.beamconnectivity.com/"
    }]

}

​

Return a single record from CPO ID (array)

curl -X GET https://evroam.org.uk/_functions/getRegister?operatorId=GB-DRV

​

{
    "items": [{
        "title": "Drivenergy Ltd",
        "operatorId": "GB-DRV",
        "serviceProviderId": "GB-DRV",
        "website": "https://www.drivenergy.uk"
    }]
}

​

Return a single record from MSP ID (array)

curl -X GET https://evroam.org.uk/_functions/getRegister?serviceProviderId=GB-BMC

​

{
    "items": [{
        "title": "Beam Connectivity Limited",
        "operatorId": "GB-BMC",
        "serviceProviderId": "GB-BMC",
        "website": "https://www.beamconnectivity.com/"
    }]
}

​

bottom of page